@echo off
title Living a Month with Sister - Folder Clean up
chcp 65001
color 0a
cls

:start
echo.
echo Make sure you're running this .bat file from the game folder.
echo -------------------------------------
echo Select a funcion.
echo -------------------------------------
echo.
echo [1] Full clean up - Remove all plugins
echo.
echo [2] Close
echo.


choice /c 12 /m "Choose one:"

if errorlevel 2 (
cls
echo.
goto end
)


if errorlevel 1 (
cls.
echo.
echo Removing Plugins please wait...
rd /q /s AutoTranslator
rd /q /s BepInEx
rd /q /s ReiPatcher
cls
echo Moving to 妹と過ごす1ヵ月間_Data\Managed
timeout 5
cd 妹と過ごす1ヵ月間_Data\Managed
cls.
echo Resuming cleanup
timeout 5
rd /q /s Translators
del /q /f "UnityEngine.CoreModule.dll" "0Harmony.dll" "ExIni.dll" "Mono.Cecil.dll" "MonoMod.RuntimeDetour.dll" "MonoMod.Utils.dll" "ReiPatcher.exe" "XUnity.AutoTranslator.Plugin.Core.dll" "XUnity.AutoTranslator.Plugin.ExtProtocol.dll" "XUnity.Common.dll" "XUnity.ResourceRedirector.dll"
ren "UnityEngine.CoreModule.dll.2022-04-03_12-58-40.bak" "UnityEngine.CoreModule.dll.bak"
copy "UnityEngine.CoreModule.dll.bak" "UnityEngine.CoreModule.dll"
exit
)

:done
cls.
echo Process Complete...
echo Exiting in...
timeout 5
exit

:end
cls.
echo Exiting...
timeout 5
exit

